<!--<p>reservation-entry works!</p>
<button type="button" class="btn btn-primary">Primary</button>--->
<form  #reservationEntryForm="ngForm" action=""> <!--formulario angular, importar manualmente en app.module.ts -->
    <div class="jumbotron">
    <div class="form-horizontal">
        <div class="col-xs-12">
            <h2>Make a reservation </h2>
        </div>
    </div>
</div>
<br>
<div class="form-group">
    <div class="row">
        <div class="col-sm-4" align="center">
            <h3> Personal data</h3>
        </div>
    </div>
    <label class="col-sm-2" for="">Name *</label>
    <div class="col-sm-4">
         <!--{{propName}}<br> enlace bidireccional  que es interpolacion property binding-->
         
        <input #clientName="ngModel"  [(ngModel)]="propName" name="clientName" type="text" class="form-control"> <!--#clientName="ngModel" no incluir en angular.json pq esta icluido en ngForm-->
        <!--lo que yo escriba este vinculo con una propiedad en el controlador  que es reservation-entry.component.ts-->
       
    </div>
    <br>
    <button class="btn btn-primary" (click)="reservationEntry()">Submit</button><!--se me pinte por consola el valor-->
</div>
</form>
